How do I reinstall OFW?

Discussion in 'PSP - Hacking & Homebrew' started by Merritt, Oct 10, 2012.

Oct 10, 2012

How do I reinstall OFW? by Merritt at 1:21 AM (2,297 Views / 0 Likes) 41 replies

  1. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    I am concerned that my firmware may be corrupted or damaged in some way, as my PSP cannot go into sleep mode - it simply shuts off.

    The system is already on 6.20 and had CFW installed. I removed the CFW and have the update for 6.20 on the stick, but when I try to install it it errors out saying it is already this version and does not require an update.

    So, what would be the best way to force a reinstall of the 6.20 OFW?

    Thanks in advance! :)
     


  2. Foxi4

    Reporter Foxi4 On the hunt...

    pip
    Joined:
    Sep 13, 2009
    Messages:
    22,736
    Location:
    Gaming Grotto
    Country:
    Poland
    You'll further help future posters if you mention your PSP's model - some PSP's use the Pandora + Magic Memory Stick method for flashing, others have to use work-arounds. I personally use Hellcat's Flasher when something goes bonkers in my firmware (I like to experiment. Last time, I replaced the standard web browser with the one provided in Netfront 4 Beta HMM... except that one isn't compatible with Internet Radio, making my Go!Tube installation useless and I had no backup :P).
     
  3. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    Ahh, sorry. Too tired! :)

    My psp is a 3000, never had firmware above 6.39, pretty much brand new. Other than the sleep issue, everything works great.

    Unfortunately as far as I can tell, Hellcat's Flasher is not compatible with the PSP 3000
     
  4. trumpet-205

    Member trumpet-205 Embrace the darkness within

    Joined:
    Jan 14, 2009
    Messages:
    4,363
    Country:
    United States
    So you had 6.20 PRO CFW, and you uninstalled it right? Then you are back to 6.20 OFW.

    What do you mean you cannot sleep? You only need to flickr the power button, not holding it.
     
  5. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    How did you uninstall PRO? Removing the files on the memory stick isn't enough, you need to run the pro update and press triangle to uninstall.

    What does the system software say in the settings?
     
  6. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    What everyone seems to have missed is that you're trying to update to the same firmware you're on. The UPDATE process is literal....you need to go UP. You're on 6.20 and trying to UPDATE to 6.20 hence the error. You need to go UP to something greater than 6.20.
     
  7. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    Right. And I mean that I flick the power switch, fastest humanly possible.. the screen goes off, the green light stays on for about 10 seconds, then the unit is idle. I ask it to turn on again, however instead of powering on from a sleeping state, it starts a cold boot, showing the "SONY PSP" boot logo and all, and losing where I was. Let me be clear: I am not holding the power button in any fashion, unless you count the thousandth of a second that a "flick" takes.

    You uninstall PRO by re-running the PRO installer, and pressing the Triangle, which it indicates will uninstall the CFW. Then the system will no longer recognize PSP games or homebrew, and in system settings it reads "System Software: Version 6.20"
     
  8. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    Right! So, I figure maybe I can update, and use the ChronoSwitch Downgrader again like when I first installed CFW. Question is, what is a safe firmware version to update to, and where should I get it from?
    Anyway, that's one idea. I think the main point is trying to find a way to re-flash the OFW, in case there is something wrong with it, as a diagnostic tool. I'm just not 100% sure how to go about it safely right now. :)
     
  9. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    Update to 6.60 (grab it from the Google page for the PRO project). Don't bother downgrading....
     
  10. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    Huh.. I downloaded the 6.60 update from 2 locations, and with each when I try to install it it says the data has been corrupted, and exits back to the main menu.
     
  11. trumpet-205

    Member trumpet-205 Embrace the darkness within

    Joined:
    Jan 14, 2009
    Messages:
    4,363
    Country:
    United States
    Did you install CIPL?
     
  12. Lumstar

    Member Lumstar Princess

    Joined:
    Mar 6, 2006
    Messages:
    3,531
    Location:
    Darling
    Country:
    United States
    AFAIK some PSP software, intentional or not, lacks support for sleep mode. At least I've had sleep not work on ripped PS1 games before.
     
  13. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    No, never heard of it.. I'll google

    My PSP will not sleep in any software I've tried, nor from the main PSP menu.


     
  14. trumpet-205

    Member trumpet-205 Embrace the darkness within

    Joined:
    Jan 14, 2009
    Messages:
    4,363
    Country:
    United States
    Yes, thought you install CIPL. Since you have 3000 that is not possible.
     
  15. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    Two locations? Such as the PRO Google code page? (ensure you're getting the UMD model version)

    Also are you using a genuine Pro Duo? (Magic Gate supported if you press the Triangle button and check on the Memory stick section of the XMB?)
     
  16. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    Yes I downloaded from the link in Rydian's guide, as well as the PRO google page. No, it doesn't support Magic Gate (??), I am using a MicroSD adapter. How does this affect things?
     
  17. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    Adapters don't have the same makeup as actual cards, and while they work fine in most cases for normal things (saving and loading data), they tend to fail when it comes to OFW/CFW installs and tweaking. We recommend you use an actual memory stick, at least for anything involving the firmware.
     
  18. BORTZ

    Global Moderator BORTZ wtf, nintendo

    Joined:
    Dec 2, 2007
    Messages:
    10,652
    Country:
    United States
    You can boot into OFW if you boot into "recovery mode" right?
     
  19. Foxi4

    Reporter Foxi4 On the hunt...

    pip
    Joined:
    Sep 13, 2009
    Messages:
    22,736
    Location:
    Gaming Grotto
    Country:
    Poland
    I've installed OFW and CFW several times from an adapter - if the process doesn't require cIPL (on the stick, not the cIPL installer - that works normally :P ), it should work just fine. I'm guessing he just placed it in the wrong folder.

    Installing 6.60 will force you to deal with fast recovery - Perm Patch is only available up to 6.20. A downgrade is a matter of taste then.

    Oh, and by the way, isn't 6.60 the latest firmware anyways? If he's now on OFW, can't he just update the normal method built-in method?
     
  20. Merritt
    OP

    Newcomer Merritt Member

    Joined:
    Oct 6, 2012
    Messages:
    43
    Country:
    Canada
    I thought OFW was beyond 6.60, but yes thats as far as it goes. I am wondering however if Sony has discontinued the update server, as it keeps giving me an error stating it cannot establish a connection to the server.

    PS. I was appalled, APPALLED to find out a PSP 3000 does not support WPA2. Shame Sony, shame!

    I also downloaded the official 6.39 update, but same problem saying it is corrupted. Unfortunately I don't have an offical sony memory stick at the moment.
     

Share This Page